## Updates specific network

### cURL

```bash
curl --request PUT \
  --url https://prod01.oms.fabric.inc/api/v2/inventory/network/{networkId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "code": "DC",
  "name": "Distribution Center",
  "safetyStock": 2,
  "rules": {
    "locationData.attributes.channel": "Frontline",
    "productData.attributes.subclass": {
      "$nin": 778942701
    }
  }
}
'
```

### Python

```python
import requests

url = "https://prod01.oms.fabric.inc/api/v2/inventory/network/{networkId}"

payload = {
    "code": "DC",
    "name": "Distribution Center",
    "safetyStock": 2,
    "rules": {
        "locationData.attributes.channel": "Frontline",
        "productData.attributes.subclass": { "$nin": 778942701 }
    }
}
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript (Fetch API)

```javascript
const options = {
  method: 'PUT',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    code: 'DC',
    name: 'Distribution Center',
    safetyStock: 2,
    rules: {
      'locationData.attributes.channel': 'Frontline',
      'productData.attributes.subclass': {$nin: 778942701}
    }
  })
};

fetch('https://prod01.oms.fabric.inc/api/v2/inventory/network/{networkId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/inventory/network/{networkId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PUT",
  CURLOPT_POSTFIELDS => json_encode([
    'code' => 'DC',
    'name' => 'Distribution Center',
    'safetyStock' => 2,
    'rules' => [
        'locationData.attributes.channel' => 'Frontline',
        'productData.attributes.subclass' => [
                '$nin' => 778942701
        ]
    ]
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json",
    "x-site-context: <x-site-context>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://prod01.oms.fabric.inc/api/v2/inventory/network/{networkId}"

payload := strings.NewReader("{\n  \"code\": \"DC\",\n  \"name\": \"Distribution Center\",\n  \"safetyStock\": 2,\n  \"rules\": {\n    \"locationData.attributes.channel\": \"Frontline\",\n    \"productData.attributes.subclass\": {\n      \"$nin\": 778942701\n    }\n  }\n}")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("x-site-context", "<x-site-context>")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

### Unirest (Java)

```java
HttpResponse<String> response = Unirest.put("https://prod01.oms.fabric.inc/api/v2/inventory/network/{networkId}")
  .header("x-site-context", "<x-site-context>")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"code\": \"DC\",\n  \"name\": \"Distribution Center\",\n  \"safetyStock\": 2,\n  \"rules\": {\n    \"locationData.attributes.channel\": \"Frontline\",\n    \"productData.attributes.subclass\": {\n      \"$nin\": 778942701\n    }\n  }\n}")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://prod01.oms.fabric.inc/api/v2/inventory/network/{networkId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"code\": \"DC\",\n  \"name\": \"Distribution Center\",\n  \"safetyStock\": 2,\n  \"rules\": {\n    \"locationData.attributes.channel\": \"Frontline\",\n    \"productData.attributes.subclass\": {\n      \"$nin\": 778942701\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

### Response Examples

#### Successful Response (200)
```json
{
  "networkId": "62278e49167b6079755aa5e7",
  "code": "DC",
  "name": "Distribution Center",
  "safetyStock": 2,
  "rules": {
    "locationData.attributes.channel": "Frontline",
    "productData.attributes.subclass": {
      "$nin": 778942701
    }
  }
}
```

#### Error Responses

##### Invalid Request (400)
```json
{
  "message": "Invalid request payload or parameter"
}
```

##### Conflict (409)
```json
{
  "message": "Counter code: on-hand already exists."
}
```

##### Internal Server Error (500)
```json
{
  "message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}
```

### Authorization
- **Authorization**: Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Headers
- **x-site-context**: JSON object containing information about the source, including mandatory `account`, which is the 24 character identifier found in Copilot.
